Authentication

Authentication

The API uses temporary user-generated keys. Keys are read-only, revocable, and expire based on the window selected by the user.

Bearer token

Use the generated key as a bearer token:

Authorization: Bearer tja_live_xxx

Example:

curl "https://api.sixoneeighters.com/v1/me" \
  -H "Authorization: Bearer tja_live_xxx"

Alternative header

Non-browser integrations can also use:

x-api-key: tja_live_xxx

Key storage

Raw key material is never stored. 618ers stores only a server-side HMAC hash of the key.

Scopes

Keys can include these read scopes:

ScopeAccess
trades:readTrades and trade groups
journals:readTrade and group journals
sessions:readTrading sessions
reviews:readWeekly reviews
analytics:readAnalytics summaries
missed_trades:readMissed trade journal entries
agent_summary:readCompact summary endpoint